﻿<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>${name}</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@ include file="/WEB-INF/jspf/common.jspf" %>
    <link rel="shortcut icon" href="../favicon.ico">
</head>
<body onkeydown="disabledPrint()">
    <iframe width="100%" height="100%" id="iframe" src="${path}/static/pdfjs/web/viewer.html?file=${path}/commom/showRecordContent/${patientId}/${assortIds}" allowfullscreen="true" webkitallowfullscreen="true" mozallowfullscreen="true" oallowfullscreen="true" msallowfullscreen="true"></iframe>

<script type="text/javascript">
    $("#iframe").contents().find('body').attr('oncontextmenu',"javascript:return false;");
    //屏蔽鼠标右键
    document.oncontextmenu = function(e) {
        var e = e || window.event;
        e.returnValue = false;
        return false;
    }
    document.onselectstart=new Function("event.returnValue=false;");
    //禁止快捷键打印
    function disabledPrint(){
        if(event.keyCode==80 && event.ctrlKey){
            event.keyCode=0;
            event.returnValue=false;
        }
        if (event.ctrlKey && event.keyCode == 83) {
            event.preventDefault();
            event.returnValue = false;
            return false;
        }
    }
</script>
</body>
</html>
